ul.catalog, .catalog li {
    list-style: outside none none;
}
ul.catalog {
    margin: 10px 0;
    padding: 0;
    display: inline;
}

.catalog li {
    display: inline-block;
    width: 250px;
    height: 180px;
    margin: 10px 15px;
    border-radius: 10px;
    box-shadow: 0px 0px 1em rgba(000, 000, 000, 0.3);
    padding: 0;

    position: relative;
    overflow: hidden;
}

.catalog li > .spinner {
    position: absolute;
    left: calc(50% - 32px);
    top: calc(50% - 32px);
}

.catalog li a {
    text-decoration: none;
    color: black;
    display: inline-block;
    width: 250px;
    height: 180px;
    border: 1px solid efefef;
    border-radius: 10px;
}

.catalog li .productImage {
    display: inline-block;
    width: 250px;
    height: 150px;
    border-bottom: 1px solid efefef;
    background-color: whitesmoke;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.catalog li .price {
    position: absolute;
    top: 15px;
    right: 0px;
    padding: 2px 5px;
    border-top-left-radius: 5px 5px;
    border-bottom-left-radius: 5px 5px;    
}

.catalog li:hover .price {   
    background-color: rgba(0, 195, 255, 0.3);
}

.catalog .price.loading {   
    opacity: .4;
}

.catalog li .price.loaded{
    background-color: rgba(0, 195, 255, 0.75);
}
.catalog li .price.no-data{
    background-color: rgba(100, 100, 100, .3);
    color:white;
}

.catalog li .exordium {
    display: inline-block;
    width: 100%;
    padding: 0 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.catalog li .exordium.no-data{
    color:#efefef;
}

.controls{
    margin-top: 20px;
    text-align: center;
}
.controls button{
    text-align: center;
    margin: auto;
    display: inline-block;
    background: transparent none;
    border: 1px solid black;
    font-size: 2em;
    border-radius: 10px;
    color: black;
    width: 100px;
    height: 40px;
}